from django.db import models

class RadioConfig(models.Model):
    title = models.CharField(max_length=255, default="La Morenita Radio")
    stream_url = models.URLField(help_text="Direct link to the audio stream")
    whatsapp_number = models.CharField(max_length=20, default="+52 844 218 8814")
    facebook_url = models.URLField(default="https://www.facebook.com/profile.php?id=61583511337947")
    tiktok_url = models.URLField(default="https://www.tiktok.com/@chikipapiradio")
    
    class Meta:
        verbose_name = "Radio Configuration"
        verbose_name_plural = "Radio Configuration"

    def __str__(self):
        return self.title